Bug 562534 - crash in policycoreutils-python-2.0.78-12.fc12 when repporting bug from SELinux Troubleshooter
Summary: crash in policycoreutils-python-2.0.78-12.fc12 when repporting bug from SELin...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: policycoreutils
Version: 12
Hardware: All
OS: Linux
low
medium
Target Milestone: ---
Assignee: Daniel Walsh
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-02-07 09:56 UTC by Jeff Raber
Modified: 2010-02-13 00:37 UTC (History)
2 users (show)

Fixed In Version: 2.2.63-2.fc12
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2010-02-13 00:37:23 UTC


Attachments (Terms of Use)
Backtrace (6.59 KB, text/plain)
2010-02-07 09:56 UTC, Jeff Raber
no flags Details
Update Log. Testing setroubleshoot-2.2.63-1 (6.26 KB, text/plain)
2010-02-09 06:35 UTC, Jeff Raber
no flags Details
Output generated when updating to policycoreutils-2.0.78-19.fc12 (4.10 KB, text/plain)
2010-02-09 07:30 UTC, Jeff Raber
no flags Details
Backtrace generated when trying to report bug using SELinux Troubleshooter (7.72 KB, text/plain)
2010-02-10 10:09 UTC, Jeff Raber
no flags Details

Description Jeff Raber 2010-02-07 09:56:49 UTC
Created attachment 389355 [details]
Backtrace

Description of problem:
crash wehn trying to report a bug from the SELinux Troubleshooter

Version-Release number of selected component (if applicable):
2.0.78-12.fc12  (x86_64)

How reproducible:
Always.

Steps to Reproduce:
1. In SELinux Troubleshooter press "Report this bug"
2. On "Review and submit Bug Report" screen, press "Submit Report"  without filling in the "Bugzilla Username" or "Password" fields (I haven't tried it when filling in these fields.)
3. Crash!
  
Actual results:
Prompted to provide username and password + crash.  The application did not seem to be affected by the "crash" the only indication was the abrt icon in the tray.

Expected results:
Prompted to provide username and password. 

Additional info:

<speculation> Missing dependency in the RPM? </speculation> This may be a dup of Bug 548360.  But that bug is closed, and my issue remains.

Comment 1 Daniel Walsh 2010-02-08 19:55:30 UTC
Fixed in setroubleshoot-2.2.63-1.fc12       
yum update setroubleshoot\* --enablerepo=updates-testing

Comment 2 Jeff Raber 2010-02-09 06:35:21 UTC
Created attachment 389682 [details]
Update Log.  Testing setroubleshoot-2.2.63-1

Comment 3 Jeff Raber 2010-02-09 06:38:15 UTC
Comment on attachment 389682 [details]
Update Log.  Testing setroubleshoot-2.2.63-1

Installed update, but problem persist. 
$ rpm -q setools-libs-python 
package setools-libs-python is not installed

Comment 4 Jeff Raber 2010-02-09 07:30:45 UTC
Created attachment 389689 [details]
Output generated when updating to policycoreutils-2.0.78-19.fc12

Daniel, I saw on bodhi that you generated a new policycoreutils (2.0.78-19.fc12).  I installed it (See log attached) and that fixes my problem (as the new policycoreutils depend on setools-libs-python).  I think we just need setroubleshoot-server to depend on policycoreutils to ensure that all the dependencies are met.

Comment 5 Daniel Walsh 2010-02-09 13:50:53 UTC
The latest setroubleshoot

setroubleshoot-2.2.63-1.fc12       
yum update setroubleshoot\* --enablerepo=updates-testing

Uses report for reporting to bugzilla and has nothing to do with setools-libs-python.

Comment 6 Jeff Raber 2010-02-09 18:25:52 UTC
See comment 3.  After installing the latest setroubleshoot, the error remains.  Despite the error, a bug report *was* created in Bugzilla (Created Bug 563084). Although, I am really not sure if this is new behavior, as previously I had not actually entered my bugzilla username/password.  I will post the latest backtrace as soon as that machine is available again.

I also experienced this error when trying to use the SCP option.

Comment 7 Jeff Raber 2010-02-10 10:09:53 UTC
Created attachment 389960 [details]
Backtrace generated when trying to report bug using SELinux Troubleshooter

Removed policycoreutils-2.0.78-19.fc12 and the dependencies that it installed.  Attempted to fil a bug report using SELinux Troubleshooter.  Same error.

$ yum list setroubleshoot\*
Installed Packages
setroubleshoot.x86_64                   2.2.63-1.fc12           @updates-testing
setroubleshoot-plugins.noarch           2.1.40-1.fc12           @updates-testing
setroubleshoot-server.x86_64            2.2.63-1.fc12           @updates-testing

Comment 8 Daniel Walsh 2010-02-10 14:10:03 UTC
Fixed in setroubleshoot-2.2.63-2.fc12

Required setools-libs 

Rather then

setools-libs-python

Comment 9 Fedora Update System 2010-02-11 14:33:58 UTC
setroubleshoot-2.2.63-2.fc12 has been pushed to the Fedora 12 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update setroubleshoot'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F12/FEDORA-2010-1591

Comment 10 Fedora Update System 2010-02-13 00:37:01 UTC
setroubleshoot-2.2.63-2.fc12 has been pushed to the Fedora 12 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.